# Functor Type_generic.Helper

    module Helper: functor (A : Variant_and_record_intf.S) -> functor (B : Variant_and_record_intf.S) -> sig .. end

Parameters:

`A` | : | `Variant_and_record_intf.S`
`B` | : | `Variant_and_record_intf.S`

    type map = {

`` | `map : `'a. 'a A.t -> 'a B.t`;`

}

    val map_variant : map -> 'a A.Variant.t -> 'a B.Variant.t

    val map_record : map -> 'a A.Record.t -> 'a B.Record.t